org.codehaus.groovy.tools.shell

## Interface Command

-     public interface Command

  Provides the interface required for command extensions.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `execute(java.util.List args)`
    `java.util.List` | `getAliases()`
    `jline.Completor` | `getCompletor()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getHelp()`
    `boolean` | `getHidden()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getShortcut()`
    `java.lang.String` | `getUsage()`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

    - #### getShortcut

          java.lang.String getShortcut()

    - #### getCompletor

          jline.Completor getCompletor()

    - #### getDescription

          java.lang.String getDescription()

    - #### getUsage

          java.lang.String getUsage()

    - #### getHelp

          java.lang.String getHelp()

    - #### getAliases

          java.util.List getAliases()

    - #### execute

          java.lang.Object execute(java.util.List args)

    - #### getHidden

          boolean getHidden()